Reveal a settlement account number
POST
/api/app/directory/service-providers/{providerRef}/settlement-accounts/{currency}/reveal
const url = 'https://test.unipay.co.zw/api/app/directory/service-providers/example/settlement-accounts/example/reveal';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://test.unipay.co.zw/api/app/directory/service-providers/example/settlement-accounts/example/reveal \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”providerRef
required
string
currency
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
providerNumber
required
string
currency
required
string
accountId
string format: uuid
status
integer format: int32
bankName
required
string
branchCode
string
swiftBic
string
accountName
required
string
accountNumber
required
string
effectiveFrom
string format: date-time
Example
{ "status": 1}UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions